import service from "../../utils/request"

/**
 * 异常超量列表
 * @param {*} page 
 * @param {*} size 
 * @returns 
 */
export function getExcessWarningList(page, size, userId, title, status, appId) {
    return service.request({
        method: "post",
        url: "admin/excess/warning/list",
        data: {
            page: page,
            size: size,
            userId: userId,
            title: title,
            status: status,
            appId: appId
        }
    })
}

/**
 * 处理异常超量
 * @param {*} page 
 * @param {*} size 
 * @returns 
 */
export function excessHandle(excessId, status) {
    return service.request({
        method: "post",
        url: "admin/excess/handle",
        data: {
            excessId: excessId,
            status: status
        }
    })
}